org.apache.ignite.mxbean

## Interface CacheMetricsMXBean

- All Superinterfaces:
    CacheMetrics, javax.cache.management.CacheMXBean, javax.cache.management.CacheStatisticsMXBean

  Deprecated.
  Check the `JmxMetricExporterSpi` with "name=cache.{cache_name}" instead.

      @Deprecated
       @MXBeanDescription(value="MBean that provides access to cache descriptor.")
      public interface CacheMetricsMXBean
      extends javax.cache.management.CacheStatisticsMXBean, javax.cache.management.CacheMXBean, CacheMetrics

  This interface defines JMX view on `IgniteCache`.
  See Also:
    `ReadOnlyMetricManager`, `ReadOnlyMetricRegistry`, `JmxMetricExporterSpi`, `MetricExporterSpi`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Deprecated.
    `void` | `disableStatistics()` Deprecated. Disable statistic collection for the cache.
    `void` | `enableStatistics()` Deprecated. Enable statistic collection for the cache.
    `float` | `getAverageGetTime()` Deprecated. The mean time to execute gets.
    `float` | `getAveragePutTime()` Deprecated. The mean time to execute puts.
    `float` | `getAverageRemoveTime()` Deprecated. The mean time to execute removes.
    `float` | `getAverageTxCommitTime()` Deprecated. The mean time to execute tx commit.
    `float` | `getAverageTxRollbackTime()` Deprecated. The mean time to execute tx rollbacks.
    `long` | `getCacheEvictions()` Deprecated. The total number of evictions from the cache.
    `long` | `getCacheGets()` Deprecated. The total number of requests to the cache.
    `float` | `getCacheHitPercentage()` Deprecated. This is a measure of cache efficiency.
    `long` | `getCacheHits()` Deprecated. The number of get requests that were satisfied by the cache.
    `long` | `getCacheMisses()` Deprecated. A miss is a get request that is not satisfied.
    `float` | `getCacheMissPercentage()` Deprecated. Returns the percentage of cache accesses that did not find a requested entry in the cache.
    `long` | `getCachePuts()` Deprecated. The total number of puts to the cache.
    `long` | `getCacheRemovals()` Deprecated. The total number of removals from the cache.
    `long` | `getCacheSize()` Deprecated. Cache size.
    `long` | `getCacheTxCommits()` Deprecated. Gets total number of transaction commits.
    `long` | `getCacheTxRollbacks()` Deprecated. Gets total number of transaction rollbacks.
    `int` | `getDhtEvictQueueCurrentSize()` Deprecated. Gets current size of evict queue used to batch up evictions.
    `float` | `getEntryProcessorAverageInvocationTime()` Deprecated. The mean time to execute cache invokes.
    `float` | `getEntryProcessorHitPercentage()` Deprecated. The percentage of invocations on keys, which exist in cache.
    `long` | `getEntryProcessorHits()` Deprecated. The total number of invocations on keys, which exist in cache.
    `long` | `getEntryProcessorInvocations()` Deprecated. The total number of cache invocations.
    `float` | `getEntryProcessorMaxInvocationTime()` Deprecated. So far, the maximum time to execute cache invokes.
    `float` | `getEntryProcessorMinInvocationTime()` Deprecated. So far, the minimum time to execute cache invokes.
    `long` | `getEntryProcessorMisses()` Deprecated. The total number of invocations on keys, which don't exist in cache.
    `float` | `getEntryProcessorMissPercentage()` Deprecated. The percentage of invocations on keys, which don't exist in cache.
    `long` | `getEntryProcessorPuts()` Deprecated. The total number of cache invocations, caused update.
    `long` | `getEntryProcessorReadOnlyInvocations()` Deprecated. The total number of cache invocations, caused no updates.
    `long` | `getEntryProcessorRemovals()` Deprecated. The total number of cache invocations, caused removal.
    `long` | `getEstimatedRebalancingFinishTime()` Deprecated.
    `long` | `getEstimatedRebalancingKeys()` Deprecated.
    `long` | `getHeapEntriesCount()` Deprecated. Gets the number of cache entries in heap memory, including entries held by active transactions, entries in onheap cache and near entries.
    `long` | `getIndexRebuildKeysProcessed()` Deprecated. Return number of keys processed during index rebuilding.
    `int` | `getKeySize()` Deprecated. Gets number of keys in the cache, possibly with `null` values.
    `long` | `getKeysToRebalanceLeft()` Deprecated.
    `String` | `getKeyType()` Deprecated. Determines the required type of keys for this `Cache`, if any.
    `long` | `getOffHeapAllocatedSize()` Deprecated. Gets memory size allocated in off-heap.
    `long` | `getOffHeapBackupEntriesCount()` Deprecated. Gets number of backup entries stored in off-heap memory.
    `long` | `getOffHeapEntriesCount()` Deprecated. Gets number of entries stored in off-heap memory.
    `long` | `getOffHeapEvictions()` Deprecated. The total number of evictions from the off-heap memory.
    `long` | `getOffHeapGets()` Deprecated. The total number of get requests to the off-heap memory.
    `float` | `getOffHeapHitPercentage()` Deprecated. Gets the percentage of hits on off-heap memory.
    `long` | `getOffHeapHits()` Deprecated. The number of get requests that were satisfied by the off-heap memory.
    `long` | `getOffHeapMisses()` Deprecated. A miss is a get request that is not satisfied by off-heap memory.
    `float` | `getOffHeapMissPercentage()` Deprecated. Gets the percentage of misses on off-heap memory.
    `long` | `getOffHeapPrimaryEntriesCount()` Deprecated. Gets number of primary entries stored in off-heap memory.
    `long` | `getOffHeapPuts()` Deprecated. The total number of put requests to the off-heap memory.
    `long` | `getOffHeapRemovals()` Deprecated. The total number of removals from the off-heap memory.
    `long` | `getRebalanceClearingPartitionsLeft()` Deprecated.
    `long` | `getRebalancedKeys()` Deprecated.
    `long` | `getRebalancingBytesRate()` Deprecated.
    `long` | `getRebalancingKeysRate()` Deprecated.
    `int` | `getRebalancingPartitionsCount()` Deprecated.
    `long` | `getRebalancingStartTime()` Deprecated.
    `int` | `getSize()` Deprecated. Gets number of non-`null` values in the cache.
    `int` | `getTotalPartitionsCount()` Deprecated.
    `int` | `getTxCommitQueueSize()` Deprecated. Gets committed transaction queue size.
    `int` | `getTxCommittedVersionsSize()` Deprecated. Gets number of cached committed transaction IDs.
    `int` | `getTxDhtCommitQueueSize()` Deprecated. Gets committed DHT transaction queue size.
    `int` | `getTxDhtCommittedVersionsSize()` Deprecated. Gets number of cached committed DHT transaction IDs.
    `int` | `getTxDhtPrepareQueueSize()` Deprecated. Gets prepared DHT transaction queue size.
    `int` | `getTxDhtRolledbackVersionsSize()` Deprecated. Gets number of cached rolled back DHT transaction IDs.
    `int` | `getTxDhtStartVersionCountsSize()` Deprecated. Gets DHT start version counts map size.
    `int` | `getTxDhtThreadMapSize()` Deprecated. Gets transaction DHT per-thread map size.
    `int` | `getTxDhtXidMapSize()` Deprecated. Gets transaction DHT per-Xid map size.
    `String` | `getTxKeyCollisions()` Deprecated. Checks if there were any tx key collisions last time.
    `int` | `getTxPrepareQueueSize()` Deprecated. Gets prepared transaction queue size.
    `int` | `getTxRolledbackVersionsSize()` Deprecated. Gets number of cached rolled back transaction IDs.
    `int` | `getTxStartVersionCountsSize()` Deprecated. Gets start version counts map size.
    `int` | `getTxThreadMapSize()` Deprecated. Gets transaction per-thread map size.
    `int` | `getTxXidMapSize()` Deprecated. Gets transaction per-Xid map size.
    `String` | `getValueType()` Deprecated. Determines the required type of values for this `Cache`, if any.
    `int` | `getWriteBehindBufferSize()` Deprecated. Gets count of entries that were processed by the write-behind store and have not been flushed to the underlying store yet.
    `int` | `getWriteBehindCriticalOverflowCount()` Deprecated. Gets count of write buffer overflow events in progress at the moment.
    `int` | `getWriteBehindErrorRetryCount()` Deprecated. Gets count of cache entries that are in a store-retry state.
    `long` | `getWriteBehindFlushFrequency()` Deprecated. Gets the cache flush frequency.
    `int` | `getWriteBehindFlushSize()` Deprecated. Gets the maximum size of the write-behind buffer.
    `int` | `getWriteBehindFlushThreadCount()` Deprecated. Gets the number of flush threads that will perform store update operations.
    `int` | `getWriteBehindStoreBatchSize()` Deprecated. Gets the maximum count of similar (put or remove) operations that can be grouped to a single batch.
    `int` | `getWriteBehindTotalCriticalOverflowCount()` Deprecated. Gets count of write buffer overflow events since initialization.
    `boolean` | `isEmpty()` Deprecated. Returns `true` if this cache is empty.
    `boolean` | `isIndexRebuildInProgress()` Deprecated. Return `true` if index rebuild is in progress.
    `boolean` | `isManagementEnabled()` Deprecated. Checks whether management is enabled on this cache.
    `boolean` | `isReadThrough()` Deprecated. Determines if a `Cache` should operate in read-through mode.
    `boolean` | `isStatisticsEnabled()` Deprecated. Checks whether statistics collection is enabled in this cache.
    `boolean` | `isStoreByValue()` Deprecated. Whether storeByValue `true` or storeByReference `false`.
    `boolean` | `isValidForReading()` Deprecated. Checks whether cache topology is valid for read operations.
    `boolean` | `isValidForWriting()` Deprecated. Checks whether cache topology is valid for write operations.
    `boolean` | `isWriteBehindEnabled()` Deprecated. Returns `true` if write-behind is enabled.
    `boolean` | `isWriteThrough()` Deprecated. Determines if a `Cache` should operate in "write-through" mode.
    `String` | `name()` Deprecated. Gets name of this cache.

    - ### Methods inherited from interface org.apache.ignite.cache.CacheMetrics

      `estimateRebalancingFinishTime, rebalancingStartTime`

- - ### Method Detail

    - #### clear

          @MXBeanDescription(value="Clear statistics.")
          void clear()

      Deprecated.
      Specified by:
        `clear` in interface `javax.cache.management.CacheStatisticsMXBean`

    - #### getCacheHits

          @MXBeanDescription(value="Number of hits.")
          long getCacheHits()

      Deprecated.
      The number of get requests that were satisfied by the cache.
      Specified by:
        `getCacheHits` in interface `CacheMetrics`
      Specified by:
        `getCacheHits` in interface `javax.cache.management.CacheStatisticsMXBean`
      Returns:
        The number of hits.

    - #### getCacheHitPercentage

          @MXBeanDescription(value="Percentage of successful hits.")
          float getCacheHitPercentage()

      Deprecated.
      This is a measure of cache efficiency.
      Specified by:
        `getCacheHitPercentage` in interface `CacheMetrics`
      Specified by:
        `getCacheHitPercentage` in interface `javax.cache.management.CacheStatisticsMXBean`
      Returns:
        The percentage of successful hits, as a decimal e.g 75.

    - #### getCacheMisses

          @MXBeanDescription(value="Number of misses.")
          long getCacheMisses()

      Deprecated.
      A miss is a get request that is not satisfied.
      Specified by:
        `getCacheMisses` in interface `CacheMetrics`
      Specified by:
        `getCacheMisses` in interface `javax.cache.management.CacheStatisticsMXBean`
      Returns:
        The number of misses.

    - #### getCacheMissPercentage

          @MXBeanDescription(value="Percentage of accesses that failed to find anything.")
          float getCacheMissPercentage()

      Deprecated.
      Returns the percentage of cache accesses that did not find a requested entry in the cache.
      Specified by:
        `getCacheMissPercentage` in interface `CacheMetrics`
      Specified by:
        `getCacheMissPercentage` in interface `javax.cache.management.CacheStatisticsMXBean`
      Returns:
        The percentage of accesses that failed to find anything.

    - #### getCacheGets

          @MXBeanDescription(value="Number of gets.")
          long getCacheGets()

      Deprecated.
      The total number of requests to the cache. This will be equal to the sum of the hits and misses.
      Specified by:
        `getCacheGets` in interface `CacheMetrics`
      Specified by:
        `getCacheGets` in interface `javax.cache.management.CacheStatisticsMXBean`
      Returns:
        The number of gets.

    - #### getCachePuts

          @MXBeanDescription(value="Number of puts.")
          long getCachePuts()

      Deprecated.
      The total number of puts to the cache.
      Specified by:
        `getCachePuts` in interface `CacheMetrics`
      Specified by:
        `getCachePuts` in interface `javax.cache.management.CacheStatisticsMXBean`
      Returns:
        The number of puts.

    - #### getCacheRemovals

          @MXBeanDescription(value="Number of removals.")
          long getCacheRemovals()

      Deprecated.
      The total number of removals from the cache. This does not include evictions, where the cache itself initiates the removal to make space.
      Specified by:
        `getCacheRemovals` in interface `CacheMetrics`
      Specified by:
        `getCacheRemovals` in interface `javax.cache.management.CacheStatisticsMXBean`
      Returns:
        The number of removals.

    - #### getCacheEvictions

          @MXBeanDescription(value="Number of eviction entries.")
          long getCacheEvictions()

      Deprecated.
      The total number of evictions from the cache. An eviction is a removal initiated by the cache itself to free up space. An eviction is not treated as a removal and does not appear in the removal counts.
      Specified by:
        `getCacheEvictions` in interface `CacheMetrics`
      Specified by:
        `getCacheEvictions` in interface `javax.cache.management.CacheStatisticsMXBean`
      Returns:
        The number of evictions.

    - #### getAverageGetTime

          @MXBeanDescription(value="Average time to execute get.")
          float getAverageGetTime()

      Deprecated.
      The mean time to execute gets.
      Specified by:
        `getAverageGetTime` in interface `CacheMetrics`
      Specified by:
        `getAverageGetTime` in interface `javax.cache.management.CacheStatisticsMXBean`
      Returns:
        The time in µs.

    - #### getAveragePutTime

          @MXBeanDescription(value="Average time to execute put.")
          float getAveragePutTime()

      Deprecated.
      The mean time to execute puts.
      Specified by:
        `getAveragePutTime` in interface `CacheMetrics`
      Specified by:
        `getAveragePutTime` in interface `javax.cache.management.CacheStatisticsMXBean`
      Returns:
        The time in µs.

    - #### getAverageRemoveTime

          @MXBeanDescription(value="Average time to execute remove.")
          float getAverageRemoveTime()

      Deprecated.
      The mean time to execute removes.
      Specified by:
        `getAverageRemoveTime` in interface `CacheMetrics`
      Specified by:
        `getAverageRemoveTime` in interface `javax.cache.management.CacheStatisticsMXBean`
      Returns:
        The time in µs.

    - #### getAverageTxCommitTime

          @MXBeanDescription(value="Average time to commit transaction.")
          float getAverageTxCommitTime()

      Deprecated.
      The mean time to execute tx commit.
      Specified by:
        `getAverageTxCommitTime` in interface `CacheMetrics`
      Returns:
        The time in µs.

    - #### getAverageTxRollbackTime

          @MXBeanDescription(value="Average time to rollback transaction.")
          float getAverageTxRollbackTime()

      Deprecated.
      The mean time to execute tx rollbacks.
      Specified by:
        `getAverageTxRollbackTime` in interface `CacheMetrics`
      Returns:
        Number of transaction rollbacks.

    - #### getCacheTxCommits

          @MXBeanDescription(value="Number of transaction commits.")
          long getCacheTxCommits()

      Deprecated.
      Gets total number of transaction commits.
      Specified by:
        `getCacheTxCommits` in interface `CacheMetrics`
      Returns:
        Number of transaction commits.

    - #### getCacheTxRollbacks

          @MXBeanDescription(value="Number of transaction rollback.")
          long getCacheTxRollbacks()

      Deprecated.
      Gets total number of transaction rollbacks.
      Specified by:
        `getCacheTxRollbacks` in interface `CacheMetrics`
      Returns:
        Number of transaction rollbacks.

    - #### name

          @MXBeanDescription(value="Cache name.")
          String name()

      Deprecated.
      Gets name of this cache.
      Specified by:
        `name` in interface `CacheMetrics`
      Returns:
        Cache name.

    - #### getOffHeapGets

          @MXBeanDescription(value="Number of gets from off-heap memory.")
          long getOffHeapGets()

      Deprecated.
      The total number of get requests to the off-heap memory.
      Specified by:
        `getOffHeapGets` in interface `CacheMetrics`
      Returns:
        The number of gets.

    - #### getOffHeapPuts

          @MXBeanDescription(value="Number of puts to off-heap memory.")
          long getOffHeapPuts()

      Deprecated.
      The total number of put requests to the off-heap memory.
      Specified by:
        `getOffHeapPuts` in interface `CacheMetrics`
      Returns:
        The number of puts.

    - #### getOffHeapRemovals

          @MXBeanDescription(value="Number of removed entries from off-heap memory.")
          long getOffHeapRemovals()

      Deprecated.
      The total number of removals from the off-heap memory. This does not include evictions.
      Specified by:
        `getOffHeapRemovals` in interface `CacheMetrics`
      Returns:
        The number of removals.

    - #### getOffHeapEvictions

          @MXBeanDescription(value="Number of evictions from off-heap memory.")
          long getOffHeapEvictions()

      Deprecated.
      The total number of evictions from the off-heap memory.
      Specified by:
        `getOffHeapEvictions` in interface `CacheMetrics`
      Returns:
        The number of evictions.

    - #### getOffHeapHits

          @MXBeanDescription(value="Number of hits on off-heap memory.")
          long getOffHeapHits()

      Deprecated.
      The number of get requests that were satisfied by the off-heap memory.
      Specified by:
        `getOffHeapHits` in interface `CacheMetrics`
      Returns:
        The off-heap hits number.

    - #### getOffHeapHitPercentage

          @MXBeanDescription(value="Percentage of hits on off-heap memory.")
          float getOffHeapHitPercentage()

      Deprecated.
      Gets the percentage of hits on off-heap memory.
      Specified by:
        `getOffHeapHitPercentage` in interface `CacheMetrics`
      Returns:
        The percentage of hits on off-heap memory.

    - #### getOffHeapMisses

          @MXBeanDescription(value="Number of misses on off-heap memory.")
          long getOffHeapMisses()

      Deprecated.
      A miss is a get request that is not satisfied by off-heap memory.
      Specified by:
        `getOffHeapMisses` in interface `CacheMetrics`
      Returns:
        The off-heap misses number.

    - #### getOffHeapMissPercentage

          @MXBeanDescription(value="Percentage of misses on off-heap memory.")
          float getOffHeapMissPercentage()

      Deprecated.
      Gets the percentage of misses on off-heap memory.
      Specified by:
        `getOffHeapMissPercentage` in interface `CacheMetrics`
      Returns:
        The percentage of misses on off-heap memory.

    - #### getOffHeapEntriesCount

          @MXBeanDescription(value="Number of entries stored in off-heap memory.")
          long getOffHeapEntriesCount()

      Deprecated.
      Gets number of entries stored in off-heap memory.
      Specified by:
        `getOffHeapEntriesCount` in interface `CacheMetrics`
      Returns:
        Number of entries stored in off-heap memory.

    - #### getHeapEntriesCount

          @MXBeanDescription(value="Number of entries in heap memory.")
          long getHeapEntriesCount()

      Deprecated.
      Gets the number of cache entries in heap memory, including entries held by active transactions, entries in onheap cache and near entries.
      Specified by:
        `getHeapEntriesCount` in interface `CacheMetrics`
      Returns:
        Number of entries in heap memory.

    - #### getOffHeapPrimaryEntriesCount

          @MXBeanDescription(value="Number of primary entries stored in off-heap memory.")
          long getOffHeapPrimaryEntriesCount()

      Deprecated.
      Gets number of primary entries stored in off-heap memory.
      Specified by:
        `getOffHeapPrimaryEntriesCount` in interface `CacheMetrics`
      Returns:
        Number of primary entries stored in off-heap memory.

    - #### getOffHeapBackupEntriesCount

          @MXBeanDescription(value="Number of backup stored in off-heap memory.")
          long getOffHeapBackupEntriesCount()

      Deprecated.
      Gets number of backup entries stored in off-heap memory.
      Specified by:
        `getOffHeapBackupEntriesCount` in interface `CacheMetrics`
      Returns:
        Number of backup entries stored in off-heap memory.

    - #### getOffHeapAllocatedSize

          @MXBeanDescription(value="Memory size allocated in off-heap.")
          long getOffHeapAllocatedSize()

      Deprecated.
      Gets memory size allocated in off-heap.
      Specified by:
        `getOffHeapAllocatedSize` in interface `CacheMetrics`
      Returns:
        Memory size allocated in off-heap.

    - #### getSize

          @MXBeanDescription(value="Cache size.")
          int getSize()

      Deprecated.
      Gets number of non-`null` values in the cache. Note this method will always return `0`
      Specified by:
        `getSize` in interface `CacheMetrics`
      Returns:
        Number of non-`null` values in the cache.

    - #### getCacheSize

          @MXBeanDescription(value="Number of non-null values in the cache as a long value.")
          long getCacheSize()

      Deprecated.
      Cache size.
      Specified by:
        `getCacheSize` in interface `CacheMetrics`
      Returns:
        Cache size.

    - #### getKeySize

          @MXBeanDescription(value="Number of keys in the cache (possibly with null values).")
          int getKeySize()

      Deprecated.
      Gets number of keys in the cache, possibly with `null` values. Note this method will always return `0`
      Specified by:
        `getKeySize` in interface `CacheMetrics`
      Returns:
        Number of keys in the cache.

    - #### isEmpty

          @MXBeanDescription(value="True if cache is empty.")
          boolean isEmpty()

      Deprecated.
      Returns `true` if this cache is empty.
      Specified by:
        `isEmpty` in interface `CacheMetrics`
      Returns:
        `True` if this cache is empty.

    - #### getDhtEvictQueueCurrentSize

          @MXBeanDescription(value="Current size of evict queue.")
          int getDhtEvictQueueCurrentSize()

      Deprecated.
      Gets current size of evict queue used to batch up evictions.
      Specified by:
        `getDhtEvictQueueCurrentSize` in interface `CacheMetrics`
      Returns:
        Current size of evict queue.

    - #### getTxThreadMapSize

          @MXBeanDescription(value="Transaction per-thread map size.")
          int getTxThreadMapSize()

      Deprecated.
      Gets transaction per-thread map size.
      Specified by:
        `getTxThreadMapSize` in interface `CacheMetrics`
      Returns:
        Thread map size.

    - #### getTxXidMapSize

          @MXBeanDescription(value="Transaction per-Xid map size.")
          int getTxXidMapSize()

      Deprecated.
      Gets transaction per-Xid map size.
      Specified by:
        `getTxXidMapSize` in interface `CacheMetrics`
      Returns:
        Transaction per-Xid map size.

    - #### getTxCommitQueueSize

          @MXBeanDescription(value="Transaction committed queue size.")
          int getTxCommitQueueSize()

      Deprecated.
      Gets committed transaction queue size.
      Specified by:
        `getTxCommitQueueSize` in interface `CacheMetrics`
      Returns:
        Committed transaction queue size.

    - #### getTxPrepareQueueSize

          @MXBeanDescription(value="Transaction prepared queue size.")
          int getTxPrepareQueueSize()

      Deprecated.
      Gets prepared transaction queue size.
      Specified by:
        `getTxPrepareQueueSize` in interface `CacheMetrics`
      Returns:
        Prepared transaction queue size.

    - #### getTxStartVersionCountsSize

          @MXBeanDescription(value="Transaction start version counts map size.")
          int getTxStartVersionCountsSize()

      Deprecated.
      Gets start version counts map size.
      Specified by:
        `getTxStartVersionCountsSize` in interface `CacheMetrics`
      Returns:
        Start version counts map size.

    - #### getTxCommittedVersionsSize

          @MXBeanDescription(value="Transaction committed ID map size.")
          int getTxCommittedVersionsSize()

      Deprecated.
      Gets number of cached committed transaction IDs.
      Specified by:
        `getTxCommittedVersionsSize` in interface `CacheMetrics`
      Returns:
        Number of cached committed transaction IDs.

    - #### getTxRolledbackVersionsSize

          @MXBeanDescription(value="Transaction rolled back ID map size.")
          int getTxRolledbackVersionsSize()

      Deprecated.
      Gets number of cached rolled back transaction IDs.
      Specified by:
        `getTxRolledbackVersionsSize` in interface `CacheMetrics`
      Returns:
        Number of cached rolled back transaction IDs.

    - #### getTxDhtThreadMapSize

          @MXBeanDescription(value="Transaction DHT per-thread map size.")
          int getTxDhtThreadMapSize()

      Deprecated.
      Gets transaction DHT per-thread map size.
      Specified by:
        `getTxDhtThreadMapSize` in interface `CacheMetrics`
      Returns:
        DHT thread map size.

    - #### getTxDhtXidMapSize

          @MXBeanDescription(value="Transaction DHT per-Xid map size.")
          int getTxDhtXidMapSize()

      Deprecated.
      Gets transaction DHT per-Xid map size.
      Specified by:
        `getTxDhtXidMapSize` in interface `CacheMetrics`
      Returns:
        Transaction DHT per-Xid map size.

    - #### getTxDhtCommitQueueSize

          @MXBeanDescription(value="Transaction DHT committed queue size.")
          int getTxDhtCommitQueueSize()

      Deprecated.
      Gets committed DHT transaction queue size.
      Specified by:
        `getTxDhtCommitQueueSize` in interface `CacheMetrics`
      Returns:
        Committed DHT transaction queue size.

    - #### getTxDhtPrepareQueueSize

          @MXBeanDescription(value="Transaction DHT prepared queue size.")
          int getTxDhtPrepareQueueSize()

      Deprecated.
      Gets prepared DHT transaction queue size.
      Specified by:
        `getTxDhtPrepareQueueSize` in interface `CacheMetrics`
      Returns:
        Prepared DHT transaction queue size.

    - #### getTxDhtStartVersionCountsSize

          @MXBeanDescription(value="Transaction DHT start version counts map size.")
          int getTxDhtStartVersionCountsSize()

      Deprecated.
      Gets DHT start version counts map size.
      Specified by:
        `getTxDhtStartVersionCountsSize` in interface `CacheMetrics`
      Returns:
        DHT start version counts map size.

    - #### getTxDhtCommittedVersionsSize

          @MXBeanDescription(value="Transaction DHT committed ID map size.")
          int getTxDhtCommittedVersionsSize()

      Deprecated.
      Gets number of cached committed DHT transaction IDs.
      Specified by:
        `getTxDhtCommittedVersionsSize` in interface `CacheMetrics`
      Returns:
        Number of cached committed DHT transaction IDs.

    - #### getTxDhtRolledbackVersionsSize

          @MXBeanDescription(value="Transaction DHT rolled back ID map size.")
          int getTxDhtRolledbackVersionsSize()

      Deprecated.
      Gets number of cached rolled back DHT transaction IDs.
      Specified by:
        `getTxDhtRolledbackVersionsSize` in interface `CacheMetrics`
      Returns:
        Number of cached rolled back DHT transaction IDs.

    - #### isWriteBehindEnabled

          @MXBeanDescription(value="True if write-behind is enabled for this cache.")
          boolean isWriteBehindEnabled()

      Deprecated.
      Returns `true` if write-behind is enabled.
      Specified by:
        `isWriteBehindEnabled` in interface `CacheMetrics`
      Returns:
        `True` if write-behind is enabled.

    - #### getWriteBehindFlushSize

          @MXBeanDescription(value="Size of internal buffer that triggers flush procedure.")
          int getWriteBehindFlushSize()

      Deprecated.
      Gets the maximum size of the write-behind buffer. When the count of unique keys in write buffer exceeds this value, the buffer is scheduled for write to the underlying store.

      If this value is `0`, then flush is performed only on time-elapsing basis. However, when this value is `0`, the cache critical size is set to `CacheConfiguration.DFLT_WRITE_BEHIND_CRITICAL_SIZE`
      Specified by:
        `getWriteBehindFlushSize` in interface `CacheMetrics`
      Returns:
        Buffer size that triggers flush procedure.

    - #### getWriteBehindFlushThreadCount

          @MXBeanDescription(value="Count of flush threads.")
          int getWriteBehindFlushThreadCount()

      Deprecated.
      Gets the number of flush threads that will perform store update operations.
      Specified by:
        `getWriteBehindFlushThreadCount` in interface `CacheMetrics`
      Returns:
        Count of worker threads.

    - #### getWriteBehindFlushFrequency

          @MXBeanDescription(value="Flush frequency interval in milliseconds.")
          long getWriteBehindFlushFrequency()

      Deprecated.
      Gets the cache flush frequency. All pending operations on the underlying store will be performed within time interval not less then this value.

      If this value is `0`, then flush is performed only when buffer size exceeds flush size.
      Specified by:
        `getWriteBehindFlushFrequency` in interface `CacheMetrics`
      Returns:
        Flush frequency in milliseconds.

    - #### getWriteBehindStoreBatchSize

          @MXBeanDescription(value="Maximum size of batch for similar operations.")
          int getWriteBehindStoreBatchSize()

      Deprecated.
      Gets the maximum count of similar (put or remove) operations that can be grouped to a single batch.
      Specified by:
        `getWriteBehindStoreBatchSize` in interface `CacheMetrics`
      Returns:
        Maximum size of batch.

    - #### getWriteBehindTotalCriticalOverflowCount

          @MXBeanDescription(value="Count of cache overflow events since write-behind cache has started.")
          int getWriteBehindTotalCriticalOverflowCount()

      Deprecated.
      Gets count of write buffer overflow events since initialization. Each overflow event causes the ongoing flush operation to be performed synchronously.
      Specified by:
        `getWriteBehindTotalCriticalOverflowCount` in interface `CacheMetrics`
      Returns:
        Count of cache overflow events since start.

    - #### getWriteBehindCriticalOverflowCount

          @MXBeanDescription(value="Count of cache overflow events since write-behind cache has started.")
          int getWriteBehindCriticalOverflowCount()

      Deprecated.
      Gets count of write buffer overflow events in progress at the moment. Each overflow event causes the ongoing flush operation to be performed synchronously.
      Specified by:
        `getWriteBehindCriticalOverflowCount` in interface `CacheMetrics`
      Returns:
        Count of cache overflow events since start.

    - #### getWriteBehindErrorRetryCount

          @MXBeanDescription(value="Count of cache cache entries that are currently in retry state.")
          int getWriteBehindErrorRetryCount()

      Deprecated.
      Gets count of cache entries that are in a store-retry state. An entry is assigned a store-retry state when underlying store failed due some reason and cache has enough space to retain this entry till the next try.
      Specified by:
        `getWriteBehindErrorRetryCount` in interface `CacheMetrics`
      Returns:
        Count of entries in store-retry state.

    - #### getWriteBehindBufferSize

          @MXBeanDescription(value="Count of cache entries that are waiting to be flushed.")
          int getWriteBehindBufferSize()

      Deprecated.
      Gets count of entries that were processed by the write-behind store and have not been flushed to the underlying store yet.
      Specified by:
        `getWriteBehindBufferSize` in interface `CacheMetrics`
      Returns:
        Total count of entries in cache store internal buffer.

    - #### getKeyType

          @MXBeanDescription(value="Key type.")
          String getKeyType()

      Deprecated.
      Determines the required type of keys for this `Cache`, if any.
      Specified by:
        `getKeyType` in interface `CacheMetrics`
      Specified by:
        `getKeyType` in interface `javax.cache.management.CacheMXBean`
      Returns:
        The fully qualified class name of the key type, or `"java.lang.Object"` if the type is undefined.

    - #### getValueType

          @MXBeanDescription(value="Value type.")
          String getValueType()

      Deprecated.
      Determines the required type of values for this `Cache`, if any.
      Specified by:
        `getValueType` in interface `CacheMetrics`
      Specified by:
        `getValueType` in interface `javax.cache.management.CacheMXBean`
      Returns:
        The fully qualified class name of the value type, or `"java.lang.Object"` if the type is undefined.

    - #### isStoreByValue

          @MXBeanDescription(value="True if the cache is store by value.")
          boolean isStoreByValue()

      Deprecated.
      Whether storeByValue `true` or storeByReference `false`. When `true`, both keys and values are stored by value.

      When `false`, both keys and values are stored by reference. Caches stored by reference are capable of mutation by any threads holding the reference. The effects are:

      - if the key is mutated, then the key may not be retrievable or removable
      - if the value is mutated, then all threads in the JVM can potentially observe those mutations, subject to the normal Java Memory Model rules.
      Storage by reference only applies to the local heap. If an entry is moved off heap it will need to be transformed into a representation. Any mutations that occur after transformation may not be reflected in the cache.

      When a cache is storeByValue, any mutation to the key or value does not affect the key of value stored in the cache.

      The default value is `true`.

      Specified by:
        `isStoreByValue` in interface `CacheMetrics`
      Specified by:
        `isStoreByValue` in interface `javax.cache.management.CacheMXBean`
      Returns:
        `True` if the cache is store by value.

    - #### getKeysToRebalanceLeft

          @MXBeanDescription(value="Estimated number of keys to be rebalanced on current node.")
          long getKeysToRebalanceLeft()

      Deprecated.
      Specified by:
        `getKeysToRebalanceLeft` in interface `CacheMetrics`
      Returns:
        Estimated number of keys to be rebalanced on current node.

    - #### getRebalancingBytesRate

          @MXBeanDescription(value="Estimated rebalancing speed in bytes.")
          long getRebalancingBytesRate()

      Deprecated.
      Specified by:
        `getRebalancingBytesRate` in interface `CacheMetrics`
      Returns:
        Estimated rebalancing speed in bytes.

    - #### getRebalancingKeysRate

          @MXBeanDescription(value="Estimated rebalancing speed in keys.")
          long getRebalancingKeysRate()

      Deprecated.
      Specified by:
        `getRebalancingKeysRate` in interface `CacheMetrics`
      Returns:
        Estimated rebalancing speed in keys.

    - #### getRebalancingPartitionsCount

          @MXBeanDescription(value="Number of currently rebalancing partitions on current node.")
          int getRebalancingPartitionsCount()

      Deprecated.
      Specified by:
        `getRebalancingPartitionsCount` in interface `CacheMetrics`
      Returns:
        Number of currently rebalancing partitions on current node.

    - #### getRebalancingStartTime

          @MXBeanDescription(value="Rebalancing start time.")
          long getRebalancingStartTime()

      Deprecated.
      Specified by:
        `getRebalancingStartTime` in interface `CacheMetrics`
      Returns:
        Rebalancing start time.

    - #### getTotalPartitionsCount

          @MXBeanDescription(value="Total number of partitions on current node.")
          int getTotalPartitionsCount()

      Deprecated.
      Specified by:
        `getTotalPartitionsCount` in interface `CacheMetrics`
      Returns:
        Total number of partitions on current node.

    - #### getEstimatedRebalancingFinishTime

          @MXBeanDescription(value="Estimated rebalancing finish time.")
          long getEstimatedRebalancingFinishTime()

      Deprecated.
      Specified by:
        `getEstimatedRebalancingFinishTime` in interface `CacheMetrics`
      Returns:
        Estimated rebalancing finish time.

    - #### isStatisticsEnabled

          @MXBeanDescription(value="True if statistics collection is enabled.")
          boolean isStatisticsEnabled()

      Deprecated.
      Checks whether statistics collection is enabled in this cache.

      The default value is `false`.

      Specified by:
        `isStatisticsEnabled` in interface `CacheMetrics`
      Specified by:
        `isStatisticsEnabled` in interface `javax.cache.management.CacheMXBean`
      Returns:
        `True` if statistics collection is enabled.

    - #### isManagementEnabled

          @MXBeanDescription(value="Checks whether management is enabled on this cache.")
          boolean isManagementEnabled()

      Deprecated.
      Checks whether management is enabled on this cache.

      The default value is `false`.

      Specified by:
        `isManagementEnabled` in interface `CacheMetrics`
      Specified by:
        `isManagementEnabled` in interface `javax.cache.management.CacheMXBean`
      Returns:
        `true` if management is enabled.

    - #### isReadThrough

          @MXBeanDescription(value="True when a cache is in read-through mode.")
          boolean isReadThrough()

      Deprecated.
      Determines if a `Cache` should operate in read-through mode.

      The default value is `false`

      Specified by:
        `isReadThrough` in interface `CacheMetrics`
      Specified by:
        `isReadThrough` in interface `javax.cache.management.CacheMXBean`
      Returns:
        `True` when a `Cache` is in "read-through" mode.
      See Also:
        `CacheLoader`

    - #### isWriteThrough

          @MXBeanDescription(value="True when a cache is in write-through mode.")
          boolean isWriteThrough()

      Deprecated.
      Determines if a `Cache` should operate in "write-through" mode.

      will appropriately cause the configured `CacheWriter` to be invoked.

      The default value is `false`

      Specified by:
        `isWriteThrough` in interface `CacheMetrics`
      Specified by:
        `isWriteThrough` in interface `javax.cache.management.CacheMXBean`
      Returns:
        `True` when a `Cache` is in "write-through" mode.
      See Also:
        `CacheWriter`

    - #### isValidForReading

          @MXBeanDescription(value="True when a cache topology is valid for read operations.")
          boolean isValidForReading()

      Deprecated.
      Checks whether cache topology is valid for read operations.

      Note: the method will return `false` if any partition was lost despite the fact others can be awailable for reading.

      Specified by:
        `isValidForReading` in interface `CacheMetrics`
      Returns:
        `true` when cache topology is valid for reading.

    - #### isValidForWriting

          @MXBeanDescription(value="True when a cache topology is valid for write operations.")
          boolean isValidForWriting()

      Deprecated.
      Checks whether cache topology is valid for write operations.

      Note: the method will return `false` if any partition was lost despite the fact others can be awailable for writing according to configured partition loss policy.

      Specified by:
        `isValidForWriting` in interface `CacheMetrics`
      Returns:
        `true` when cache topology is valid for writing.

    - #### getTxKeyCollisions

          @MXBeanDescription(value="Tx key collisions. Show key and appropriate collisions queue size for the last IGNITE_DUMP_TX_COLLISIONS_INTERVAL.")
          String getTxKeyCollisions()

      Deprecated.
      Checks if there were any tx key collisions last time. Interval for check specified throught: `IgniteSystemProperties.IGNITE_DUMP_TX_COLLISIONS_INTERVAL` or `TransactionsMXBean.setTxKeyCollisionsInterval(int)`.
      Specified by:
        `getTxKeyCollisions` in interface `CacheMetrics`
      Returns:
        Key collisions and appropriate queue size string representation.

    - #### enableStatistics

          @MXBeanDescription(value="Enable statistic collection for the cache.")
          void enableStatistics()

      Deprecated.
      Enable statistic collection for the cache.

    - #### disableStatistics

          @MXBeanDescription(value="Disable statistic collection for the cache.")
          void disableStatistics()

      Deprecated.
      Disable statistic collection for the cache.

    - #### isIndexRebuildInProgress

          @MXBeanDescription(value="True if index rebuilding in progress.")
          boolean isIndexRebuildInProgress()

      Deprecated.
      Return `true` if index rebuild is in progress.
      Specified by:
        `isIndexRebuildInProgress` in interface `CacheMetrics`
      Returns:
        `true` if index rebuild is in progress.

    - #### getIndexRebuildKeysProcessed

          @MXBeanDescription(value="Number of keys processed during index rebuilding. To get remaining number of keys for rebuilding, subtract current value from cache size.")
          long getIndexRebuildKeysProcessed()

      Deprecated.
      Return number of keys processed during index rebuilding. To get remaining number of keys for rebuilding, subtract current value from `CacheMetrics.getCacheSize()`.
      Specified by:
        `getIndexRebuildKeysProcessed` in interface `CacheMetrics`
      Returns:
        Number of keys processed during index rebuilding.

    - #### getRebalancedKeys

          @MXBeanDescription(value="Number of already rebalanced keys.")
          long getRebalancedKeys()

      Deprecated.
      Specified by:
        `getRebalancedKeys` in interface `CacheMetrics`
      Returns:
        Number of already rebalanced keys.

    - #### getEstimatedRebalancingKeys

          @MXBeanDescription(value="Estimated total number of keys to rebalance.")
          long getEstimatedRebalancingKeys()

      Deprecated.
      Specified by:
        `getEstimatedRebalancingKeys` in interface `CacheMetrics`
      Returns:
        Number estimated to rebalance keys.

    - #### getRebalanceClearingPartitionsLeft

          @MXBeanDescription(value="The number of partitions to be cleared before actual rebalance starts.")
          long getRebalanceClearingPartitionsLeft()

      Deprecated.
      Specified by:
        `getRebalanceClearingPartitionsLeft` in interface `CacheMetrics`
      Returns:
        The number of partitions need to be cleared before actual rebalance start.

    - #### getEntryProcessorAverageInvocationTime

          @MXBeanDescription(value="The mean time to execute cache invokes (time in \u00b5s).")
          float getEntryProcessorAverageInvocationTime()

      Deprecated.
      The mean time to execute cache invokes.
      Specified by:
        `getEntryProcessorAverageInvocationTime` in interface `CacheMetrics`
      Returns:
        The time in µs.

    - #### getEntryProcessorHitPercentage

          @MXBeanDescription(value="The percentage of invocations on keys which exist in the cache.")
          float getEntryProcessorHitPercentage()

      Deprecated.
      The percentage of invocations on keys, which exist in cache.
      Specified by:
        `getEntryProcessorHitPercentage` in interface `CacheMetrics`
      Returns:
        The percentage of successful invocation hits.

    - #### getEntryProcessorHits

          @MXBeanDescription(value="The total number of invocations on keys which exist in the cache.")
          long getEntryProcessorHits()

      Deprecated.
      The total number of invocations on keys, which exist in cache.
      Specified by:
        `getEntryProcessorHits` in interface `CacheMetrics`
      Returns:
        The number of cache invocation hits.

    - #### getEntryProcessorInvocations

          @MXBeanDescription(value="The total number of cache invocations.")
          long getEntryProcessorInvocations()

      Deprecated.
      The total number of cache invocations.
      Specified by:
        `getEntryProcessorInvocations` in interface `CacheMetrics`
      Returns:
        The number of cache invocations.

    - #### getEntryProcessorMaxInvocationTime

          @MXBeanDescription(value="So far, the maximum time to execute cache invokes (time in \u00b5s).")
          float getEntryProcessorMaxInvocationTime()

      Deprecated.
      So far, the maximum time to execute cache invokes.
      Specified by:
        `getEntryProcessorMaxInvocationTime` in interface `CacheMetrics`
      Returns:
        The time in µs.

    - #### getEntryProcessorMinInvocationTime

          @MXBeanDescription(value="So far, the minimum time to execute cache invokes (time in \u00b5s).")
          float getEntryProcessorMinInvocationTime()

      Deprecated.
      So far, the minimum time to execute cache invokes.
      Specified by:
        `getEntryProcessorMinInvocationTime` in interface `CacheMetrics`
      Returns:
        The time in µs.

    - #### getEntryProcessorMisses

          @MXBeanDescription(value="The total number of invocations on keys which don\'t exist in the cache.")
          long getEntryProcessorMisses()

      Deprecated.
      The total number of invocations on keys, which don't exist in cache.
      Specified by:
        `getEntryProcessorMisses` in interface `CacheMetrics`
      Returns:
        The number of cache invocation misses.

    - #### getEntryProcessorMissPercentage

          @MXBeanDescription(value="The percentage of invocations on keys which don\'t exist in the cache.")
          float getEntryProcessorMissPercentage()

      Deprecated.
      The percentage of invocations on keys, which don't exist in cache.
      Specified by:
        `getEntryProcessorMissPercentage` in interface `CacheMetrics`
      Returns:
        The percentage of invocation misses.

    - #### getEntryProcessorPuts

          @MXBeanDescription(value="The total number of cache invocations which caused an update.")
          long getEntryProcessorPuts()

      Deprecated.
      The total number of cache invocations, caused update.
      Specified by:
        `getEntryProcessorPuts` in interface `CacheMetrics`
      Returns:
        The number of invocation updates.

    - #### getEntryProcessorReadOnlyInvocations

          @MXBeanDescription(value="The total number of cache invocations which caused no updates.")
          long getEntryProcessorReadOnlyInvocations()

      Deprecated.
      The total number of cache invocations, caused no updates.
      Specified by:
        `getEntryProcessorReadOnlyInvocations` in interface `CacheMetrics`
      Returns:
        The number of read-only invocations.

    - #### getEntryProcessorRemovals

          @MXBeanDescription(value="The total number of cache invocations which caused a removal.")
          long getEntryProcessorRemovals()

      Deprecated.
      The total number of cache invocations, caused removal.
      Specified by:
        `getEntryProcessorRemovals` in interface `CacheMetrics`
      Returns:
        The number of invocation removals.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022